import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
class f2 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff=Math.pow((x[0]/(x[1]*(1.0-x[0])*(1.0-x[0]))),0.6)+
Math.pow(((1.0-x[0]/x[1])/((1-x[1])*(1-x[1]))),0.6)+
5.0*Math.pow((1.0/x[1]),0.6);
return ff; //minimum değil maxsimum istendiğinden - ile çarptık
}
}
  public class Plot3DMT3
  {  public static void main(String[] args)
  { f2 fa=new f2();
  double x[]={0.5,0.484};
  System.out.println(fa.func(x));
  //Plot3D_JM pp=new Plot3D_JM(fa,0.1,0.9,0.1,0.9,50,50);
  //pp.plot();
}}
